Prefix.h File Reference
`#include <libqalculate/includes.h>`
`#include <libqalculate/Number.h>`
`#include <libqalculate/ExpressionItem.h>`

## Classes

class | Prefix
| Abstract class for prefixes. More...
class | DecimalPrefix
| A decimal (metric) prefix. More...
class | BinaryPrefix
| A binary prefix. More...
class | NumberPrefix
| A prefix with a free numerical value. More...

## Enumerations

enum | PrefixType { PREFIX_DECIMAL , PREFIX_BINARY , PREFIX_NUMBER }
| Types for prefix classes.